Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key
Class KeyAgreementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.KeyException
                              |
                              +--java.security.KeyManagementException
                                    |
                                    +--gnu.crypto.key.KeyAgreementException

All Implemented Interfaces:
  java.io.Serializable

public class KeyAgreementException
extends java.security.KeyManagementException
implements java.io.Serializable

A generic exception indicating that an unexpected condition has been detected during the setup and/or processing of a key agreement protocol exchange.

See Also:
  Serialized Form

Constructor Summary
`KeyAgreementException()` Constructs a new instance of `KeyAgreementException`.
`KeyAgreementException(java.lang.String detail)` Constructs a new instance of `KeyAgreementException` with a detailed message.
`KeyAgreementException(java.lang.String detail, java.lang.Throwable cause)` Constructs a new instance of `KeyAgreementException` with a detailed message and a root exception.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
`void` | `printStackTrace()` Prints this exception's stack trace to `System.err`.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints this exception's stack trace to a print stream.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints this exception's stack trace to a print writer.
`java.lang.String` | `toString()` Returns the string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyAgreementException

    public KeyAgreementException()

  Constructs a new instance of `KeyAgreementException`. The root exception and the detailed message are `null`.

### KeyAgreementException

    public KeyAgreementException(java.lang.String detail)

  Constructs a new instance of `KeyAgreementException` with a detailed message. The root exception is `null`.

Parameters:
  `detail` - a possibly `null` string containing details of the exception.
See Also:
  `Throwable.getMessage()`

### KeyAgreementException

    public KeyAgreementException(java.lang.String detail,
                                 java.lang.Throwable cause)

  Constructs a new instance of `KeyAgreementException` with a detailed message and a root exception.

Parameters:
  `detail` - a possibly `null` string containing details of the exception.
  `cause` - a possibly `null` root exception that caused this exception.
See Also:
  `Throwable.getMessage()`, `getCause()`

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. The cause is the throwable that caused this exception to be thrown.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the possibly `null` exception that caused this one.

### printStackTrace

    public void printStackTrace()

  Prints this exception's stack trace to `System.err`. If this exception has a root exception; the stack trace of the root exception is also printed to `System.err`.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints this exception's stack trace to a print stream. If this exception has a root exception; the stack trace of the root exception is also printed to the print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - the non-null print stream to which to print.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints this exception's stack trace to a print writer. If this exception has a root exception; the stack trace of the root exception is also printed to the print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - the non-null print writer to use for output.

### toString

    public java.lang.String toString()

  Returns the string representation of this exception. The string representation contains this exception's class name, its detailed messsage, and if it has a root exception, the string representation of the root exception. This string representation is meant for debugging and is not meant to be interpreted programmatically.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the non-null string representation of this exception.
  See Also:
    `Throwable.getMessage()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.